Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

countrylist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: countrylist.php 6204 2001-07-19 12:06:56Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "ezaddress/classes/ezcountry.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31 $Max = $ini->variable( "eZAddressMain", "MaxCountryList" );
32
33 include( "kernel/ezaddress/admin/typelist_pre.php" );
34
35 $language_file = "country.php";
36 $page_path = "/address/country";
37 $typelist = "typelist.tpl";
38 $template_array = array( "country_tpl" => "countrylist.tpl" );
39 $variable_array = array( "country_header" => "country_header_tpl",
40 "country_item" => "country_item_tpl",
41 "extra_type_header" => "country_header",
42 "extra_type_item" => "country_item" );
43 $block_array = array( array( "country_tpl", "country_header_tpl", "country_header" ),
44 array( "country_tpl", "country_item_tpl", "country_item" ) );
45
46 $item_type_array = eZCountry::getAll( true, $SearchText, $Index, $Max );
47 $total_types = eZCountry::getAllCount( $SearchText );
48 $func_call = array( "item_id" => 'id',
49 "item_name" => 'name',
50 "item_iso" => 'iso' );
51 $Searchable = true;
52
53 include( "kernel/ezaddress/admin/typelist.php" );
54
55 ?>
eZCountry\getAll
static & getAll( $as_object=true, $search="", $offset=0, $max=-1)
Definition: ezcountry.php:143
eZCountry\getAllCount
static & getAllCount( $search="")
Definition: ezcountry.php:119
$Max
$Max
Definition: countrylist.php:31
$total_types
$total_types
Definition: countrylist.php:47
$func_call
$func_call
Definition: countrylist.php:48
$language_file
$language_file
Definition: countrylist.php:35
$Searchable
$Searchable
Definition: countrylist.php:51
$typelist
$typelist
Definition: countrylist.php:37
$variable_array
$variable_array
Definition: countrylist.php:39
$ini
$ini
Definition: countrylist.php:30
$item_type_array
$item_type_array
Definition: countrylist.php:46
$block_array
$block_array
Definition: countrylist.php:43
$template_array
$template_array
Definition: countrylist.php:38
$page_path
$page_path
Definition: countrylist.php:36
$Index
$Index
Definition: eZPBINIFile.php:499
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.